Edit a path

šŸ”‘

Required OAuth scope: paths:write.

Edits specific fields of an existing path. Fields not included in the request payload remain unchanged.

āš ļø

This endpoint requires multipart/form-data.

  • Content-Type: multipart/form-data
  • Arrays: Use bracket notation, with the field name repeated for each item
  • Objects: Use JSON-encoded strings

The request preview (the Try it! button on the right panel that generates an example request) may not fully reflect multipart formatting requirements. Instead, use the example below:

curl --request PATCH \
--url https://qlf:8443/api/v2/paths/631af11efb8a393e63cd1a0b \
--header '360-api-version: v2.0' \
--header 'authorization: Bearer {{token}}' \
--header 'content-type: multipart/form-data' \
--form 'coAuthorIds[]=624c5526204fc7207e603ea5' \
--form 'coAuthorIds[]=624c5526204fc7207e603eb8' \
--form 'estimatedWeeklyCommitment={"min": 2, "max":9}' \
--form coverPicture=@/home/qlf/Images/starfish.jpg \
--form 'options={"displayForum": true, "linearProgression": true}'

Path Params
string
required
^[a-fA-F0-9]{24}$

The unique ID of the path.

Body Params
string
^[a-fA-F0-9]{24}$

The unique ID of the main author of the path.

string
^[a-fA-F0-9]{24}$

The unique ID of the certificate outline from which certificates are issued upon path completion.

string
^[a-fA-F0-9]{24}$

The unique ID of the owner group of the path.

string
length ≄ 1

The title of the path.

coAuthorIds
array of strings

The list of co-author IDs in an array. No co-authors are added if empty.

coAuthorIds
string
length ≄ 1

The description of the path.

string
length ≄ 1

A custom field to store information available only in the Advanced settings of the path editor, the CSV exports, and the API. This information is not displayed to learners on the platform.

The unique ID of the cover picture of the path.


The cover picture of the path. The maximum file size is 10 MB. Supported media types: image/bmp, image/gif, image/heic, image/jpeg, image/png, image/svg+xml, image/webp.

string
enum

The language in which the path is displayed when the learner’s profile language is not available.

estimatedWeeklyCommitment
object

An estimated weekly time commitment in hours for learners on the path. This value is set in the field Estimated weekly commitment in the path settings and displayed to learners on the path homepage.

options
object

A set of options to customize the behavior of the path.

Headers
string
enum
required

The version of the API.

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json